package com.gic.haoban.manage.service.pojo.bo.welcome;

import java.util.Date;
import java.util.List;

/**
 * desc：欢迎语列表bo
 *
 * @author: YongEn
 * @date: 2022/2/8
 **/
public class WelcomeListBO {
    /**
     * 欢迎语id
     */
    private String welcomeId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String welcomeContent;
    /**
     * 0关闭 1开启
     */
    private Integer openFlag;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 操作人id
     */
    private String operatorId;
    /**
     * 操作人名称
     */
    private String operatorName;
    /**
     * 默认欢迎语标记 1是 0否
     */
    private Integer defaultWelcomeFlag;
    /**
     * 适用部门列表
     */
    private List<WelcomeSuitDepartmentBO> suitDepartmentList;
    /**
     * 适用员工列表
     */
    private List<WelcomeSuitStaffBO> suitStaffList;
    /**
     * 欢迎语媒体列表
     */
    private List<WelcomeMediaBO> welcomeMediaList;
    
    private String creatorId ;
    private String creatorName ;
    private String modifierId ;
    private String modifierName ;

    private Integer type;

    private int scene ;

    public int getScene() {
        return scene;
    }

    public void setScene(int scene) {
        this.scene = scene;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public String getModifierId() {
        return modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public List<WelcomeMediaBO> getWelcomeMediaList() {
        return welcomeMediaList;
    }

    public void setWelcomeMediaList(List<WelcomeMediaBO> welcomeMediaList) {
        this.welcomeMediaList = welcomeMediaList;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public List<WelcomeSuitDepartmentBO> getSuitDepartmentList() {
        return suitDepartmentList;
    }

    public void setSuitDepartmentList(List<WelcomeSuitDepartmentBO> suitDepartmentList) {
        this.suitDepartmentList = suitDepartmentList;
    }

    public List<WelcomeSuitStaffBO> getSuitStaffList() {
        return suitStaffList;
    }

    public void setSuitStaffList(List<WelcomeSuitStaffBO> suitStaffList) {
        this.suitStaffList = suitStaffList;
    }

    public Integer getDefaultWelcomeFlag() {
        return defaultWelcomeFlag;
    }

    public void setDefaultWelcomeFlag(Integer defaultWelcomeFlag) {
        this.defaultWelcomeFlag = defaultWelcomeFlag;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "WelcomeListBO{" +
                "welcomeId='" + welcomeId + '\'' +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                ", welcomeContent='" + welcomeContent + '\'' +
                ", openFlag=" + openFlag +
                ", updateTime=" + updateTime +
                ", operatorId='" + operatorId + '\'' +
                ", operatorName='" + operatorName + '\'' +
                ", welcomeMediaList=" + welcomeMediaList +
                '}';
    }
}
